# $Revision: 1.20 $, $Date: 2006/10/27 20:38:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Jabber
Summary:	POE::Component::Jabber - POE component for accessing Jabber servers
Summary(pl):	POE::Component::Jabber - komponent POE do dostpu do serwerw Jabbera
Name:		perl-POE-Component-Jabber
Version:	1.21
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	75196e23db297a2b07b1d58a866b03d7
Patch0:		%{name}-const.patch
Patch1:		%{name}-examples.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-Module-Build
%if %{with tests}
BuildRequires:	perl-Digest-SHA1 >= 2.11
BuildRequires:	perl-Jabber-Connection >= 0.02
BuildRequires:	perl-POE >= 1:0.3401
BuildRequires:	perl-POE-Filter-XML >= 0.29
BuildRequires:	perl-XML-Parser >= 2.29
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Jabber is heavily based on POE::Component::IRC and
uses much the same event model. Authentication routines are inspired
by Jabber::Connection.

POE::Filter::Jabber is provided which requires XML::Parser and
sends and receives data as Jabber::NodeFactory::Node objects.

POE::Component::Jabber::Auth implements authentication with the
Jabber server. This would be a good module to look at as it
does it in much the way an application would interface with
POE::Component::Jabber by registering for the IQ event.

%description -l pl
POE::Component::Jabber jest w duej czci oparty na
POE::Component::IRC i uywa w wikszoci tego samego modelu. Funkcje
uwierzytelniania s inspirowane Jabber::Connection.

Doczony jest POE::Filter::Jabber, wymagajcy XML::Parser, ktry
wysya i odbiera dane jako obiekty Jabber::NodeFactory::Node.

POE::Component::Jabber::Auth zawiera implementacj uwierzytelniania
wzgldem serwera Jabbera. To jest dobry modu do ogldania, jako e
robi to podobnie jak aplikacja, ktra wsppracowaaby z
POE::Component::Jabber poprzez rejestracj dla zdarzenia IQ.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# rpm problems fixed by following patch
%patch0 -p1
# this one allows to run examples on current poe (no POE::Preprocessor)
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	destdir=$RPM_BUILD_ROOT

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 
install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*/*.pm
%{perl_vendorlib}/%{pdir}/Component/Jabber
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Jabber.spec,v $
Revision 1.20  2006/10/27 20:38:47  ankry
- updated Epoch in BR

Revision 1.19  2006/10/26 16:35:28  ankry
- updated BRs, rel. 2

Revision 1.18  2006/07/26 19:05:58  agaran
- no POE::Preprocessor in current POE, rel 1.2, works here

Revision 1.17  2006/07/12 21:51:50  agaran
- ugly patch to solve rpm problem, still working to get examples functional
  (already found problem around autoselection of SAX parser)

Revision 1.16  2006/07/12 08:49:07  agaran
- translation especially for spider

Revision 1.15  2006/07/11 21:51:03  sparky
- BR: perl-Module-Build

Revision 1.14  2006/07/11 21:34:35  agaran
- *grrrrrrrrrrrrrrrrrr*, rpm bug or feature (read comment inside)

Revision 1.13  2006/07/10 21:27:45  agaran
- up to 1.21, rel1, licence is GPL, builds here (working on one dep)

Revision 1.12  2004/11/03 22:30:39  paladine
- formatting

Revision 1.11  2004/10/29 14:46:32  paladine
- "Jabber" unification

Revision 1.10  2004/08/08 19:19:32  adamg
- updated to 1.0

Revision 1.9  2004/06/01 07:28:55  ankry
- BR fix, rel. 2

Revision 1.8  2004/05/06 18:20:51  ankry
- fixed perl-devel BR

Revision 1.7  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.6  2004/04/27 15:26:24  ankry
- new bconds

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
